Subject: [PATCH 00/04] ARM: shmobile: pinmux platform device cleanups

From: [email-masked] (Magnus Damm)
Date: Wed, 03 Apr 2013 15:32:46 +0900

ARM: shmobile: pinmux platform device cleanups

[PATCH 01/04] ARM: shmobile: r8a7740 pinmux platform device cleanup
[PATCH 02/04] ARM: shmobile: r8a7779 pinmux platform device cleanup
[PATCH 03/04] ARM: shmobile: sh7372 pinmux platform device cleanup
[PATCH 04/04] ARM: shmobile: sh73a0 pinmux platform device cleanup

This series simply cleans up the pinmux platform device handling
to save a couple of lines. Compile time tested on each SoC.

Signed-off-by: Magnus Damm <[email-masked]>
---

 Written against renesas-next-20130403 in renesas.git
 
 arch/arm/mach-shmobile/setup-r8a7740.c |   24 +++++-------------------
 arch/arm/mach-shmobile/setup-r8a7779.c |   19 ++++---------------
 arch/arm/mach-shmobile/setup-sh7372.c  |   24 +++++-------------------
 arch/arm/mach-shmobile/setup-sh73a0.c  |   25 ++++++-------------------
 4 files changed, 20 insertions(+), 72 deletions(-)